com.google.cloud.dataflow.sdk.transforms.display

## Class DisplayData.Identifier

- java.lang.Object
- - com.google.cloud.dataflow.sdk.transforms.display.DisplayData.Identifier

Enclosing class:
  DisplayData

    public static class DisplayData.Identifier
    extends Object

Unique identifier for a display data item within a component. Identifiers are composed of the key they are registered with and a namespace generated from the class of the component which registered the item.

Display data registered with the same key from different components will have different namespaces and thus will both be represented in the composed `DisplayData`. If a single component registers multiple metadata items with the same key, only the most recent item will be retained; previous versions are discarded.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`String` `getKey()`
`String` `getNamespace()`
`int` `hashCode()`
`static DisplayData.Identifier` `of(Class<?> namespace, String key)`
`static DisplayData.Identifier` `of(String namespace, String key)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Method Detail

#### of

    public static DisplayData.Identifier of(Class<?> namespace,
                                            String key)

#### of

    public static DisplayData.Identifier of(String namespace,
                                            String key)

#### getNamespace

    public String getNamespace()

#### getKey

    public String getKey()

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`